CREATE procedure [C6StagingPeriodico].[RP_ST_Cliente]  
AS  
BEGIN  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_Cliente',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_Cliente  
 insert into C6StagingPeriodico.RP_Cliente  
  select   
    cli.chiaveCliente  
      ,codFis  
      ,pIva  
      ,codMan  
      ,nome  
      ,SUBSTRING(cognome, 1, 50) -- TOPPA INSERITA PERCHé MODIFCA NON COMUNICATA A REPORTISTA BATCH  
      ,tipologia  --CHIEDERE AD ALESSIA  SU CLIENTEPB  
      ,dtNascita  
      ,indirizzo  
      ,numCivico  
      ,c.NomeComune as citta   
      ,cap  
      ,n.descrizioneNazione as nazione  
      ,idQuestionario  
      ,null--,dtQuestionario  
      ,null -- ,dtScadQuest  
      ,profilo  
      ,cli.frequenza  
      ,rendicSemestrale  
      ,codStatoCivile  
      ,genere as sesso  
      ,codTitoloStudio  
      ,flagCanOnLine  
      ,numFigli  
      ,codProvNasc  
      ,codComNasc  
      ,codNazNasc  
      ,fonte  
      ,pinCode  
      ,cli.cittadinanza  
      ,null as provincia    
 from [CONSUNI_PERIODICO].consulenzaUnica.dbo.Cliente cli  
  LEFT JOIN [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.ClientePB clipb  
      on clipb.chiavecliente = cli.chiavecliente  
   left join [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.DComune c  
   on c.codcomune = cli.codcomRes  
   left join [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.Dnazione n  
   on n.codNazione = cli.CodNazRes   
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_Cliente' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_Cliente'  
  )  
END